Update inboundSalesOrder
Update the properties of an inbound sales order object for Business Central.
HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline.
PATCH {businesscentralPrefix}/companies({id})/inboundSalesOrdersKTG({id})
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json |
| If-Match | Required. When this request header is included and the eTag provided does not match the current tag on the inboundSalesOrders, the inboundSalesOrders will not be updated. |
Request body
In the request body, supply the values for relevant fields that should be updated. Existing properties that are not included in the request body will maintain their previous values or be recalculated based on changes to other property values. For best performance you shouldn't include existing values that haven't changed.
Response
If successful, this method returns a 200 OK response code and an updated inboundSalesOrder object in the response body.
Example
Request
Here is an example of the request.
PATCH https://{businesscentralPrefix}/companies({id})/inboundSalesOrdersKTG({id})
Content-type: application/json
{
"responsibilityCenter": "Hamburg"
}
Response
Here is an example of the reponse.
Note
The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
HTTP/1.1 200 OK
Content-type: application/json
{
"id": "6303284d-cf47-ee11-a0d4-f2beb1bdd263",
"number": "INB00110",
"externalDocumentNumber": "WEBSHOP0002",
"documentDate": "2023-08-28",
"orderDate": "0001-01-01",
"postingDate": "0001-01-01",
"customerId": "00000000-0000-0000-0000-000000000000",
"customerNumber": "",
"contactId": "00000000-0000-0000-0000-000000000000",
"contactNumber": "",
"sellToCustomerTemplateId": "ff6b1563-dcd8-ed11-a7cd-000d3a392f9f",
"sellToCustomerTemplateCode": "DEBITOR UNTERNEHMEN",
"billToCustomerTemplateId": "00000000-0000-0000-0000-000000000000",
"billToCustomerTemplateCode": "",
"customerName": "TSO-DATA Nürnberg GmbH",
"customerName2": "",
"customerFirstName": "Rainer",
"customerSurName": "Fischer",
"billToName": "",
"billToName2": "",
"billToFirstName": "",
"billToSurName": "",
"billToCustomerId": "00000000-0000-0000-0000-000000000000",
"billToCustomerNumber": "",
"billToContactId": "00000000-0000-0000-0000-000000000000",
"billToContactNumber": "",
"shipToName": "",
"shipToName2": "",
"shipToFirstName": "",
"shipToSurName": "",
"shipToContact": "",
"sellToAddressLine1": "Wiesentalstraße 40",
"sellToAddressLine2": "",
"sellToCity": "Nürnberg",
"sellToCountry": "",
"sellToState": "",
"sellToPostCode": "90419",
"billToAddressLine1": "",
"billToAddressLine2": "",
"billToCity": "",
"billToCountry": "",
"billToState": "",
"billToPostCode": "",
"shipToAddressLine1": "",
"shipToAddressLine2": "",
"shipToCity": "",
"shipToCountry": "",
"shipToState": "",
"shipToPostCode": "",
"shipToPostNumber": "",
"shipToParcelStationNumber": "",
"shipToPostOfficeNumber": "",
"currencyId": "00000000-0000-0000-0000-000000000000",
"currencyCode": "EUR",
"pricesIncludeTax": false,
"paymentTermsId": "00000000-0000-0000-0000-000000000000",
"paymentMethodId": "00000000-0000-0000-0000-000000000000",
"paymentMethodCode": "",
"shipmentMethodId": "00000000-0000-0000-0000-000000000000",
"shipmentMethodCode": "",
"shippingAgentId": "00000000-0000-0000-0000-000000000000",
"shippingAgentCode": "",
"shippingAgentServiceId": "00000000-0000-0000-0000-000000000000",
"shippingAgentServiceCode": "",
"campaignId": "00000000-0000-0000-0000-000000000000",
"campaignNumber": "",
"responsibilityCenterId": "6348086f-dcd8-ed11-a7cd-000d3a392f9f",
"responsibilityCenter": "HAMBURG",
"salesperson": "",
"lastModifiedDateTime": "2023-08-31T07:25:10.267Z",
"phoneNumber": "",
"email": "",
"vatRegistrationNumber": "",
"billToVATRegistrationNumber": "",
"paymentTransactionId": "",
"paymentTransactionCode": "",
"paymentTransactionAmount": 0,
"freightAmount": 0,
}
See also
Tips for working with the APIs
inboundSalesOrder
Get inboundSalesOrder
Delete inboundSalesOrder
Create inboundSalesOrder